> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rampnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get blocked currencies



## OpenAPI

````yaml /api-reference/partner_external.yaml get /api/partner/v1/ext/ramp_order/blocked_currencies
openapi: 3.1.0
info:
  description: API for partner_external service
  title: partner service
  version: 0.0.1
servers:
  - description: Base URL for Production Rampnow APIs
    url: https://api.rampnow.io
  - description: Base URL for Sandbox Rampnow APIs
    url: https://api.sandbox.rampnow.io
security:
  - apiKeyAuth: []
paths:
  /api/partner/v1/ext/ramp_order/blocked_currencies:
    get:
      tags:
        - Configuration
      summary: Get blocked currencies
      operationId: GetBlockedCurrencies
      parameters:
        - in: query
          name: country
          required: false
          schema:
            externalDocs:
              description: Supported Countries like DE, US etc.
              url: https://docs.rampnow.io/quickstart/resources/supported-countries
            type: string
            description: >-
              Supported Countries like DE, US etc. For additional options, see
              the [full list](/quickstart/resources/supported-countries).
          description: >-
            Supported Countries like DE, US etc. For additional options, see the
            [full list](/quickstart/resources/supported-countries).
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  code:
                    type: integer
                  data:
                    $ref: '#/components/schemas/GetBlockedCurrenciesResponse'
                  displayError:
                    description: For client display
                    type: string
                  message:
                    type: string
                  traceId:
                    type: string
                required:
                  - code
                  - message
                  - traceId
                  - data
                type: object
          description: OK
components:
  schemas:
    GetBlockedCurrenciesResponse:
      properties:
        countries:
          description: >-
            Per-country list of crypto currencies Rampnow blocks; the block list
            may be empty
          items:
            $ref: '#/components/schemas/CountryBlockedCurrencies'
          type: array
      required:
        - countries
      type: object
    CountryBlockedCurrencies:
      description: >-
        CountryBlockedCurrencies lists the crypto currencies Rampnow blocks for
        a supported country.

        BlockedCurrencies is empty when nothing is blocked there.
      properties:
        blockedCurrencies:
          description: >-
            Crypto currencies blocked for this country (empty when nothing is
            blocked)


            Supported Crypto Currencies like EUR, USDT etc. For additional
            options, see the [full
            list](/quickstart/resources/supported-assets).
          items:
            description: >-
              Supported Crypto Currencies like EUR, USDT etc. For additional
              options, see the [full
              list](/quickstart/resources/supported-assets).
            externalDocs:
              description: Supported Crypto Currencies like EUR, USDT etc.
              url: https://docs.rampnow.io/quickstart/resources/supported-assets
            type: string
          type: array
        country:
          description: >-
            ISO 3166-1 alpha-2 country code


            Supported Countries like DE, US etc. For additional options, see the
            [full list](/quickstart/resources/supported-countries).
          externalDocs:
            description: Supported Countries like DE, US etc.
            url: https://docs.rampnow.io/quickstart/resources/supported-countries
          type: string
        countryName:
          description: Human-readable country name
          type: string
      required:
        - country
        - countryName
        - blockedCurrencies
      type: object
  securitySchemes:
    apiKeyAuth:
      description: >-
        Partner API key sent in the X-RAMPNOW-API-KEY header. Every request must
        ALSO send X-RAMPNOW-TIMESTAMP (unix seconds) and X-RAMPNOW-SIGN (hex
        HMAC-SHA256 of `timestamp + METHOD + requestURI + rawBody`, keyed with
        your API secret). See the Authentication guide.
      in: header
      name: X-RAMPNOW-API-KEY
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.